@echo off
if exist cfg\blktiger.cfg move cfg\blktiger.cfg cfg\blktiger.bak
if exist hi\blktiger.hi move hi\blktiger.hi hi\blktiger.bak
if exist nvram\blktiger.nv move nvram\blktiger.nv nvram\blktiger.bak
if exist diff\blktiger.dif move diff\blktiger.dif diff\blktiger.bak

mame blktiger -record blktiger.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\blktiger.bak move cfg\blktiger.bak cfg\blktiger.cfg
if exist hi\blktiger.bak move hi\blktiger.bak hi\blktiger.hi
if exist nvram\blktiger.bak move nvram\blktiger.bak nvram\blktiger.nv
if exist diff\blktiger.bak move diff\blktiger.bak diff\blktiger.dif
